<?php
class Mapa_model extends Model {

    var $title   = '';
    var $content = '';
    var $date    = '';
	var $encryption_key = "i:Dvv%^uJKK9)_K<";

    function Mapa_model()
    {
        // Call the Model constructor
        parent::Model();
        $this->load->helper("log");
    }
    
    function savepoint($moduleId, $tytul, $opis, $lat, $lng){
    	$data = array(
    		'mapa_module_id' => $moduleId,
    		'mapa_tytul' => $tytul,
    		'mapa_opis' => $opis,
    		'mapa_lat' => $lat,
    		'mapa_lng' => $lng
    	);
    	$this->db->set('mapa_added', 'sysdate()', FALSE);
		$this->db->insert('mapa', $data);
		
		$id = $this->db->insert_id();
		
		$affRows = $this->db->affected_rows();
		
		action_log('Dodawanie pozycji na mapie', 'mapa', 'insert', $moduleId, $tytul);
		
		return $id;
    }
    
    function getlocations($moduleId){
    	return $this->db->get_where('mapa', array('mapa_module_id' => $moduleId, 'mapa_deleted' => 0));
    }
	
    
		
}
?>